# Ecodata
Extracción de series de tiempo de las cinco principales instituciones económicas para el Perú:
1. BCRP
2. YahooFinance
3. FRED
4. WorldBank
5. OCDE

```
# Instalación mediante PyPI
!pip install ecodata
```


## Versión 0.0.7
* Para el Banco Central de Reserva del Perú (`BCRP`), `Yahoo Finance`, Federal Reserve Economic Data (`FRED`) y el `World Bank`, se cuenta con ambas métodos: `get_data()` y `search()`.
* Para la OCDE, se cuenta únicamente con el método `get_data()`.


## Métodos
Para cada institución se tienen dos métodos comunes. El primero sirve para extraer las series dado un rango de peridos:
```
get_data()
```

La segunda sirve para conseguir la metadata (códigos de las series, base de datos, etc.) asociada a una consulta: 
```
search()
```
El resultado incluye los nombres de las series, códigos y fechas que servirán como complemento con la función anterior `get_data()`.


## Test !
Para cada una de las instituciones, el código guía para usar las funciones está disponible [aquí](https://github.com/mauricioalvaradoo/ecodata/blob/master/test.py).


## Créditos
* [Mauricio Alvarado](https://github.com/mauricioalvaradoo)
* [Andrei Romero](https://github.com/Ixtalia)

